• error: failed to commit transaction (conflicting files)


    I went to update Antergos using the terminal and Pamac same error

    I type
    sudo pacman -Syyu

    I got

    :: Starting full system upgrade...
    :: Replace antergos-desktop with antergos/antergos-gnome-setup? [Y/n] 
    :: Replace antergos-desktop with antergos/antergos-openbox-setup? [Y/n] 
    :: Replace antergos-gsettings with antergos/antergos-gnome-setup? [Y/n] 
    :: Replace antergos-gsettings with antergos/antergos-openbox-setup? [Y/n]
    

    I hit Y to replace all

    Here is the packages

    Packages (25) antergos-desktop-0.7-1 [removal]  antergos-gnome-setup-1.0-3
                  antergos-gsettings-1.3-3 [removal]  antergos-openbox-setup-1.0-1
                  bamf-0.5.3-1  compton-0.1_beta2.5-8  intltool-0.51.0-3
                  libconfig-1.6-2  libfm-extra-1.2.5-1  libwnck3-3.24.1-1
                  libxres-1.0.7-1  lxmenu-data-0.1.5-1  menu-cache-1.0.2-2
                  obkey-1.0-4  oblogout-0.2-18  openbox-3.6.1-3
                  openbox-menu-0.8.0-1  pamac-6.0.3-1  perl-xml-parser-2.44-6
                  plank-0.11.4-1  plank-theme-numix-0.1-1  python2-dbus-1.2.4-2
                  python2-distutils-extra-2.39-2  python2-olefile-0.44-1
                  python2-pillow-4.3.0-1
    

    Here is the error:

    error: failed to commit transaction (conflicting files)
    /etc/oblogout.conf exists in both 'oblogout' and 'antergos-openbox-setup'
    antergos-openbox-setup: /etc/skel/.config/qt5ct/qt5ct.conf exists in filesystem
    Errors occurred, no packages were upgraded.
    

    The desktop I install is Gnome and it’s a fresh install

  • I’m on antergos-openbox and I got this same error today. I tried to update just the ‘antergos-openbox-setup’ package and the same happened.

  • @TheOSHelper
    Selecting No at the prompts I was able to update the rest. However if I do another update it still asks me the same questions. Somethings not right!?

  • @TheOSHelper I have the same error with same exact message this morning.

  • yup same here guys

  • I just got the same error and ended up removing the ‘antergos-openbox-setup’ package with -Rs then running update again and selecting yes on ‘antergos-gnome-setup’ and no on the openbox one. I don’t know if this will result in any issues but it seems to have resolved the problem for me even after a reboot. :man_shrugging:

  • After looking into this more, I initially installed antergos with the gnome desktop.

    When I updated through terminal I answered ‘y’ to the gnome updates and ‘n’ for the openbox updates.
    I do not have openbox installed.
    Now when I do another update the prompts are gone. I think you have to choose one or the other, depending on your desktop environment.

  • UPDATE: Filled a bug report at: https://github.com/Antergos/antergos-packages/issues/241


    Seems like a bug.

    [2619][7] [0][~] $ sudo pacman -Syu
    :: Synchronizing package databases...
     antergos is up to date
     core is up to date
     extra is up to date
     community is up to date
     multilib is up to date
     sublime-text is up to date
    :: Starting full system upgrade...
    :: Replace antergos-gsettings with antergos/antergos-gnome-setup? [Y/n] n
    :: Replace antergos-gsettings with antergos/antergos-openbox-setup? [Y/n] n
    

    I have neither gnome or openbox installed on my machine.

    For now I suggest everyone to answer No to the prompts, regardless of what DE you have installed. The update will proceed normally from there without errors.

    When the developers fix this new package setup in the antergos repo, this problem should go away in a future pacman -Syu

  • I’m getting a ‘maximum file exceeded’ for the antergos-openbox-setup package from all mirrors and it’s preventing me from updating any packages at all. Whether I choose yes or no at the prompts I always get this failed to retrieve error. At first I just had the same issue as everyone else. Is this fixed yet or is this file size error part of this problem as well? When I try to download the tar file for antergos-openbox-setup and install with pacman -U i get the original conflicting files error.

  • Hi,

    It’s working fine here.

    The correct package name and version is antergos-openbox-setup-1.0-3.

  • @ncf423 same here.

  • Replace antergos-desktop with antergos/antergos-gnome-setup?
    

    and

    Replace antergos-gsettings with antergos/antergos-gnome-setup?
    

    Do I answer yes for both? I’m on OpenBox / i3wm system. When I answer no, I get

    Maximum file size exceeded
    

    error.

  • @gagarin whether you say yes or no to the “antergos-gsettings” replacement, its the “antergos-openbox-setup-1.0-3” package whose “maximum file size exceeded” and holds back the updates.

  • Please, try to delete previous downloaded package from your cache

    sudo rm /var/cache/pacman/pkg/antergos-openbox-setup*

    and try again.

  • @karasu there is none, I already removed it. I get this error when trying to fetch the package from the mirrors.

  • That’s odd.

    See here:

    warning: antergos-openbox-setup-1.0-3 is up to date -- reinstalling
    resolving dependencies...
    looking for conflicting packages...
    
    Packages (1) antergos-openbox-setup-1.0-3
    
    Total Installed Size:  0.18 MiB
    Net Upgrade Size:      0.00 MiB
    
    :: Proceed with installation? [Y/n] y
    (1/1) checking keys in keyring                                                          [--------------------------------------------------] 100%
    (1/1) checking package integrity                                                        [--------------------------------------------------] 100%
    (1/1) loading package files                                                             [--------------------------------------------------] 100%
    (1/1) checking for file conflicts                                                       [--------------------------------------------------] 100%
    (1/1) checking available disk space                                                     [--------------------------------------------------] 100%
    :: Processing package changes...
    (1/1) reinstalling antergos-openbox-setup                                               [--------------------------------------------------] 100%
    :: Running post-transaction hooks...
    (1/1) Arming ConditionNeedsUpdate...
    

    Is it really trying to install version 1.0-3 there?

    EDIT: Could it be that the version you’re downloading is not ok? Can you try changing your mirror in /etc/pacman.d/antergos-mirrorlist just in case?

  • The installed version is 0.7-1. I’m using the default mirror list (with 20 something mirrors) and all of them fail to get the file for 1.0-3 because of “Maximum file size exceeded”.

    resolving dependencies...
    looking for conflicting packages...
    
    Packages (1) antergos-openbox-setup-1.0-3
    
    Total Download Size:   0.02 MiB
    Total Installed Size:  0.18 MiB
    Net Upgrade Size:      0.17 MiB
    
    :: Proceed with installation? [Y/n] 
    :: Retrieving packages...
    error: failed retrieving file 'antergos-openbox-setup-1.0-3-any.pkg.tar.xz' from mirrors.antergos .com : Maximum file size exceeded
    error: failed retrieving file 'antergos-openbox-setup-1.0-3-any.pkg.tar.xz' from mirror .host.ag : Maximum file size exceeded
    ^C
    Interrupt signal received
    
    
  • Hi,

    Would you be so kind to try to download the package from this mirror and install it?

    wget http://repo.antergos.com/antergos/x86_64/antergos-openbox-setup-1.0-3-any.pkg.tar.xz
    sudo pacman -U antergos-openbox-setup-1.0-3-any.pkg.tar.xz
    

    Thanks!

  • @karasu done it:

    sudo pacman -U antergos-openbox-setup-1.0-3-any.pkg.tar.xz
    
    loading packages...
    resolving dependencies...
    looking for conflicting packages...
    
    Packages (1) antergos-openbox-setup-1.0-3
    
    Total Installed Size:  0.18 MiB
    Net Upgrade Size:      0.17 MiB
    
    :: Proceed with installation? [Y/n] 
    (1/1) checking keys in keyring                                                             [#####################################################] 100%
    (1/1) checking package integrity                                                           [#####################################################] 100%
    (1/1) loading package files                                                                [#####################################################] 100%
    (1/1) checking for file conflicts                                                          [#####################################################] 100%
    error: failed to commit transaction (conflicting files)
    antergos-openbox-setup: /etc/skel/.config/Trolltech.conf exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/compton.conf exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/conky.conf exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/gtk-2.0/gtkfilechooser.ini exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/gtk-3.0/settings.ini exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/lxterminal/lxterminal.conf exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/nitrogen/bg-saved.cfg exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/nitrogen/nitrogen.cfg exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/openbox/autostart exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/openbox/menu.xml exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/openbox/pipemenus/obpipemenu-places exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/openbox/pipemenus/obrecent.sh exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/openbox/rc.xml exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/launchers/chromium.dockitem exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/launchers/gnome-mplayer.dockitem exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/launchers/gpicview.dockitem exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/launchers/lxterminal.dockitem exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/launchers/mousepad.dockitem exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/launchers/plank.dockitem exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/launchers/pragha.dockitem exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/plank/dock1/settings exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/qt5ct/qt5ct.conf exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/tint2/tint2rc exists in filesystem
    antergos-openbox-setup: /etc/skel/.config/volumeicon/volumeicon exists in filesystem
    antergos-openbox-setup: /etc/skel/.gtkrc-2.0 exists in filesystem
    antergos-openbox-setup: /etc/skel/.xinitrc exists in filesystem
    Errors occurred, no packages were upgraded.
    
    
Posts 24Views 2033
Log in to reply